org.jfree.chart.panel

## Interface Overlay

All Known Implementing Classes:
  CrosshairOverlay

    public interface Overlay

Defines the interface for an overlay that can be added to a `ChartPanel`.

Since:
  1.0.13

### Method Summary

Methods
`void` `addChangeListener(OverlayChangeListener listener)` Registers a change listener with the overlay.
`void` `paintOverlay(java.awt.Graphics2D g2, ChartPanel chartPanel)` Paints the crosshairs in the layer.
`void` `removeChangeListener(OverlayChangeListener listener)` Deregisters a listener from the overlay.

### Method Detail

#### paintOverlay

    void paintOverlay(java.awt.Graphics2D g2,
                    ChartPanel chartPanel)

Paints the crosshairs in the layer.

Parameters:
  `g2` - the graphics target.
  `chartPanel` - the chart panel.

#### addChangeListener

    void addChangeListener(OverlayChangeListener listener)

Registers a change listener with the overlay.

Parameters:
  `listener` - the listener.

#### removeChangeListener

    void removeChangeListener(OverlayChangeListener listener)

Deregisters a listener from the overlay.

Parameters:
  `listener` - the listener.